package net.saltymc.eaa.handler.commands;

import com.mojang.brigadier.Command;
import com.mojang.brigadier.builder.LiteralArgumentBuilder;

import net.fabricmc.fabric.api.client.command.v1.ClientCommandManager;
import net.fabricmc.fabric.api.client.command.v1.FabricClientCommandSource;

public abstract class EaaModCommand implements Command<FabricClientCommandSource> {

    public EaaModCommand() {
        this.register();
    }

    public void register(){
        ClientCommandManager.DISPATCHER.register(getCommandSpecification().executes(this));
    }

    public abstract LiteralArgumentBuilder<FabricClientCommandSource> getCommandSpecification();

}
